NTSecApi.LSA_FOREST_TRUST_BINARY_DATA (JNA API)

com.sun.jna.platform.win32

## Class NTSecApi.LSA_FOREST_TRUST_BINARY_DATA

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.NTSecApi.LSA_FOREST_TRUST_BINARY_DATA

- Enclosing interface:
    NTSecApi

      @Structure.FieldOrder(value={"Length","Buffer"})
      public static class NTSecApi.LSA_FOREST_TRUST_BINARY_DATA
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Pointer` | `Buffer`
    `int` | `Length`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LSA_FOREST_TRUST_BINARY_DATA()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### Length

          public int Length

    - #### Buffer

          public Pointer Buffer

  - ### Constructor Detail

    - #### LSA_FOREST_TRUST_BINARY_DATA

          public LSA_FOREST_TRUST_BINARY_DATA()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.